Commit ca2511cc authored by Laurent Montel's avatar Laurent Montel 😁
Browse files

GIT_SILENT: master is open. + increase depend

parent acc34c44
Pipeline #54173 skipped
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
set(PIM_VERSION "5.16.80")
set(PIM_VERSION "5.17.40")
project(akregator VERSION ${PIM_VERSION})
set(KF5_MIN_VERSION "5.79.0")
set(RELEASE_SERVICE_VERSION "21.03.80")
set(KF5_MIN_VERSION "5.80.0")
set(RELEASE_SERVICE_VERSION "21.07.40")
find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
......@@ -29,7 +29,7 @@ include(ECMQtDeclareLoggingCategory)
# Do NOT add quote
set(KDEPIM_DEV_VERSION beta)
set(KDEPIM_DEV_VERSION alpha)
# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
......@@ -89,7 +89,7 @@ add_definitions(-DTRANSLATION_DOMAIN=\"akregator\")
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055000)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055100)
if (TARGET KUserFeedbackWidgets)
add_definitions(-DWITH_KUSERFEEDBACK)
endif()
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment